[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#120291: apt: Weird dependency resolver problem - aptitude uninstallable



Package: apt
Version: 0.5.4
Severity: normal

Hi,

look at this:

chardonnay:store/debmirror# apt-get -d -o 'Debug::pkgProblemResolver=true'
install aptitude
Reading Package Lists... Done
Building Dependency Tree... Done
Starting
Starting 2
Investigating aptitude
Package aptitude has broken dep on libapt-pkg-libc6.2-3-2-3.2
  Considering apt 9 as a solution to aptitude 9999
  Considering apt 9 as a solution to aptitude 9999
  Considering apt 9 as a solution to aptitude 9999
  Considering apt 9 as a solution to aptitude 9999
  Considering apt 9 as a solution to aptitude 9999
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

Sorry, but the following packages have unmet dependencies:
  aptitude: Depends: libapt-pkg-libc6.2-3-2-3.2
E: Sorry, broken packages

But:

chardonnay:store/debmirror# apt-cache show apt
Package: apt
Priority: important
Section: base
Installed-Size: 1984
Maintainer: APT Development Team <deity@lists.debian.org>
Architecture: i386
Version: 0.5.4
Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: libapt-pkg-libc6.2-3-2-3.2
Depends: libc6 (>= 2.2.3-7), libstdc++2.10-glibc2.2
Suggests: dpkg-dev
Filename: pool/main/a/apt/apt_0.5.4_i386.deb
Size: 614918
MD5sum: 98fe513cb584bbaafb7496707d6f119d
Description: Advanced front-end for dpkg

[several times due to many entries in sources.list]

So, apt provides 'libapt-pkg-libc6.2-3-2-3.2'. Naturally, apt is installed.

Why can't aptitude be installed then?

Andrew

-- 
            Andrew Korn (Korn Andras) <korn@chardonnay.math.bme.hu>
             Finger korn@chardonnay.math.bme.hu for pgp key. QOTD:
               Quick, get me a hammer! There's a fly in my soup.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux chardonnay 2.4.12-ac1+pspa+crypto+lvm+ippers+medusa+netfilter-chardonnay #1 Fri Oct 12 23:15:54 CEST 2001 i686
Locale: LANG=hu_HU, LC_CTYPE=hu_HU

Versions of packages apt depends on:
ii  libc6                  2.2.4-6           GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2 1:2.95.4-0.011006 The GNU stdc++ library




Reply to: